MWRANK(1)

NAME
mwrank - determines the rank of an elliptic curve E over Q by 2-descent and generating points for E(Q) modulo torsion

DESCRIPTION
mwrank is organized as a loop where the user enters curves one by one and the program displays what it can compute about them. An elliptic curve is entered by giving its Weierstrass coefficients (which may be integers or rationals, either as [a1,a2,a3,a4,a6] or as a1 a2 a3 a4 a6. Here are mwrank command line options (can be in any order):

-h help prints this info and quits

-q quiet turns OFF banner display

-v n verbosity sets verbosity to n (default=1)

-o PARI/GP output turns ON extra PARI/GP short output (default is OFF)

-p n precision sets precision to n decimals (default=15)

-b n quartic bound bound on quartic point search (default=10)

-x n n aux number of aux primes used for sieving (default=6)

-l list turns ON listing of points (default ON unless v=0)

-t trace turns ON trace of quartic equivalence testing (debugging only)

-s selmer_only if set, computes Selmer rank only (default: not set)

-d skip_2nd_descent if set, skips the second descent for curves with 2-torsion (default: not set)

-S n sat_bd upper bound on saturation primes (default=1000, -1 for automatic)